<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/browsing/browserTemplate.xhtml">
            <ui:param name="managedBean" value="#{worklistEntryBrowser}"/>
            <ui:define name="additionalFilters">
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{worklistEntryBrowser.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="aeTitle"/>
                            <ui:param name="filterName"
                                      value="#{messages['gazelle.ordermanager.ScheduledStationAETitle_3']}"/>
                            <ui:param name="filterForm" value="criteriaDiv"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{worklistEntryBrowser.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="modality"/>
                            <ui:param name="filterName" value="#{messages['gazelle.ordermanager.Modality']}"/>
                            <ui:param name="filterForm" value="criteriaDiv"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="fon"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.FillerOrderNumber']}</ui:define>
                            <h:inputText value="#{worklistEntryBrowser.fillerOrderNumber}" id="fon"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="pon"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.PlacerOrderNumber']}</ui:define>
                            <h:inputText value="#{worklistEntryBrowser.placerOrderNumber}" id="pon"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="vn"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.VisitNumber']}</ui:define>
                            <h:inputText value="#{worklistEntryBrowser.visitNumber}" id="vn"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                    <div class="col-lg-6">
                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="pid"/>
                            <ui:define name="label">#{messages['gazelle.ordermanager.PatientIdentifier']}</ui:define>
                            <h:inputText value="#{worklistEntryBrowser.patientId}" id="pid"
                                         styleClass="form-control">
                                <a4j:ajax event="keyup" render="criteriaDiv"/>
                            </h:inputText>
                        </s:decorate>
                    </div>
                </div>
            </ui:define>
            <ui:define name="columns">
                <g:column filterBy="#{'scheduledProcedureStep.scheduledProcedureID'}" filterEvent="onkeyup">
                    <ui:define name="header">#{messages['gazelle.ordermanager.SPSID']}</ui:define>
                    <h:outputText value="#{o.scheduledProcedureStep.scheduledProcedureID}"/>
                </g:column>
                <g:column filterBy="#{'scheduledProcedureStep.requestedProcedure.order.accessionNumber'}"
                          filterEvent="onkeyup">
                    <ui:define name="header">#{messages['gazelle.ordermanager.AccessionNumber']}</ui:define>
                    <h:outputText value="#{o.scheduledProcedureStep.requestedProcedure.order.accessionNumber}"/>
                </g:column>
                <g:column filterBy="#{'scheduledProcedureStep.requestedProcedure.studyInstanceUID'}"
                          filterEvent="onkeyup">
                    <ui:define name="header">#{messages['gazelle.ordermanager.StudyInstanceUID_2']}</ui:define>
                    <h:outputText value="#{o.scheduledProcedureStep.requestedProcedure.studyInstanceUID}"/>
                </g:column>
                <g:column filterBy="#{'scheduledProcedureStep.modality'}" filterEvent="onkeyup">
                    <ui:define name="header">#{messages['gazelle.ordermanager.Modality']}</ui:define>
                    <h:outputText value="#{o.scheduledProcedureStep.modality}"/>
                </g:column>
                <g:column filterBy="#{'stationAETitle'}" sortBy="#{'stationAETitle'}" filterEvent="onkeyup">
                    <ui:define name="header">#{messages['gazelle.ordermanager.ScheduledStationAETitle']}</ui:define>
                    <h:outputText value="#{o.stationAETitle}"/>
                </g:column>
                <g:column filterBy="#{'creator'}" sortBy="#{'creator'}" filterEvent="onkeyup">
                    <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
                    <h:outputText value="#{o.creator}"/>
                </g:column>
                <g:column sortBy="#{'lastChanged'}" sortOrder="#{dataTableStateHolder.sortOrders['lastChanged']}">
                    <ui:define name="header">#{messages['gazelle.ordermanager.CreationDate']}</ui:define>
                    <g:date value="#{o.lastChanged}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                    <h:outputLink
                            value="#{applicationConfiguration.getValueOfVariable('application_url')}#{worklistEntryBrowser.getPermanentLink(o.id)}"
                            title="#{messages['gazelle.ordermanager.MoreDetails']}">
                        <s:span styleClass="gzl-icon-search "/>
                    </h:outputLink>
                    <a4j:commandLink actionListener="#{worklistEntryBrowser.deleteWorklist(o)}"
                                     rendered="#{not o.deleted and applicationConfigurationManager.isUserAllowedAsAdmin()}"
                                     render="criteriaDiv"
                                     title="#{messages['gazelle.ordermanager.Delete']}">
                        <s:span styleClass="gzl-icon-trash-o"/>
                    </a4j:commandLink>
                    <a4j:commandLink actionListener="#{worklistEntryBrowser.restoreWorklist(o)}"
                                     rendered="#{o.deleted and applicationConfigurationManager.isUserAllowedAsAdmin()}"
                                     render="criteriaDiv" title="#{messages['gazelle.ordermanager.Restore']}">
                        <s:span styleClass="gzl-icon-undo"/>
                    </a4j:commandLink>
                </g:column>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
